%define ver_major 1.1
%define evo_ver 2.26

Name: nautilus-sendto
Version: %ver_major.4.1
Release: alt1

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Summary: Nautilus Sendto menu item.
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: %name-thunderbird
Obsoletes: %name-sylpheed
Obsoletes: %name-balsa

BuildPreReq: rpm-build-gnome

# From configure.in
%define glib_ver 2.6.0
%define gtk_ver 2.4.0
%define libglade_ver 2.5.1
%define eds_ver 1.5.3
%define GConf_ver 2.13.0
%define pidgin_ver 2.0.0
%define nautilus_ver 2.13.3
%define dbus_ver 1.0
%define dbus_glib_ver 0.60
%define empathy_ver 2.23.91
%define gupnp_av_ver 0.2.1

BuildPreReq: intltool >= 0.35
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: evolution-data-server-devel >= %eds_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: pidgin-devel >= %pidgin_ver
BuildPreReq: libpurple-devel >= %pidgin_ver
BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: libdbus-devel >= %dbus_ver
BuildPreReq: libempathy-devel >= %empathy_ver
BuildPreReq: libempathy-gtk-devel >= %empathy_ver
BuildPreReq: libcanberra-devel
#BuildPreReq: lingupnp-av-devel >= %gupnp_av_ver
BuildRequires: libtelepathy-mission-control-devel evolution-devel
BuildRequires: gajim gcc-c++ perl-XML-Parser

%description
This application provides integration between nautilus and other.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package evolution
Summary: Send files from nautilus to evolution
Group: Graphical desktop/GNOME
Requires: evolution
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description evolution
This application provides integration between nautilus and evolution.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package pidgin
Summary: Send files from nautilus to pidgin
Group: Graphical desktop/GNOME
Requires: pidgin
Requires: %name = %version
Provides: %name-plugin = %version-%release
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-gaim

%description pidgin
This application provides integration between nautilus and pidgin.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package gajim
Summary: Send files from nautilus to gajim
Group: Graphical desktop/GNOME
Requires: gajim
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description gajim
This application provides integration between nautilus and gajim.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package bluetooth
Summary: Send files from nautilus to bluetooth
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Requires: bluez bluez-gnome

%description bluetooth
This application provides integration between nautilus and bluetooth.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.

%package removable-devices
Summary: Send files from nautilus to removable devices
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description removable-devices
This application provides ability for nautilus to send files to
removable devices and shares.

%package nautilus-burn
Summary: Send files to from nautilus to nautilus-cd-burner
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Requires: nautilus-cd-burner

%description nautilus-burn
This application provides integration between nautilus and Nautilus CD Burner.

%package empathy
Summary: Send files to from nautilus to Empathy
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release
Requires: empathy

%description empathy
This application provides integration between nautilus and Empathy.

%prep
%setup -q

%build
export CFLAGS="$CFLAGS `pkg-config --cflags dbus-glib-1`"
export LDFLAGS="$LDFLAGS `pkg-config --libs dbus-glib-1`"
%configure --disable-schemas-install --disable-static

%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang %name

%post
%gconf2_install nst

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall nst
fi

%files -f %name.lang
%doc NEWS AUTHORS COPYING ChangeLog*
%config %gconf_schemasdir/nst.schemas
%_bindir/*
%nautilus_extdir/libnautilus-sendto.so
%_man1dir/*
%dir %_libdir/%name/
%dir %_libdir/%name/plugins
%_datadir/%name
%exclude %nautilus_extdir/*.la
%exclude %_libdir/%name/plugins/*.la

#%files plugins

%files pidgin
%_libdir/pidgin/nautilus.so
%_libdir/%name/plugins/libnstpidgin.so
%exclude %_libdir/pidgin/*.la

%files gajim
%_libdir/%name/plugins/libnstgajim.so

%files evolution
%_libdir/%name/plugins/libnstevolution.so
%_libdir/evolution/%evo_ver/plugins/liborg-gnome-evolution-send-attachments-to.so
%_libdir/evolution/%evo_ver/plugins/org-gnome-evolution-send-attachments-to.eplug
%exclude %_libdir/evolution/%evo_ver/plugins/*.la

%files bluetooth
%_libdir/%name/plugins/libnstbluetooth.so

%files nautilus-burn
%_libdir/%name/plugins/libnstburn.so

%files empathy
%_libdir/%name/plugins/libnstempathy.so

%files removable-devices
%_libdir/%name/plugins/libnstremovable_devices.so

%changelog
* Thu Apr 23 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.4.1-alt1
- 1.1.4.1

* Sat Apr 18 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Apr 05 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.3-alt1
- 1.1.3
- aris@
    removed obsolete patch for balsa
    updated buildreqs
    removed obsolete -thunderbird, -sylpheed, -balsa plugins
    new -empathy, -burn, -removable-devices plugins

* Tue Feb 10 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt3
- changed requires from bluez-utils to bluez for bluetooth package(need for bluez-4)

* Tue Oct 28 2008 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt2
- rebuild

* Mon Oct 06 2008 Alexey Shabalin <shaba@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Thu Aug 21 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Tue Jul 08 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt3
- change requires for bluetooth from gnome-bluetooth to bluez-gnome

* Tue Jun 24 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt2
- fix requires for thunderbird plugin
- remove requires for sylpheed plugin
- add provides %name-claws-mail for sylpheed plugin
- build balsa plugin
- fix sending files with balsa (patch1, thx Nick Butorin)

* Fri Jun 20 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.0-alt1
- 1.0.0
- revoke from orphaned
- rewrite spec, based on mandriva (thx Andrey Novoselov)

* Sat Sep 03 2005 Vital Khilko <vk@altlinux.ru> 0.4-alt1
- 0.4
- added bluetooth subpackage

* Mon Jan 31 2005 Vital Khilko <vk@altlinux.ru> 0.3-alt1
- initial build for ALT Linux Sisyphus
- added belarusian translation
